List Workflow Runs
curl --request GET \
--url https://api.example.com/v1/workflows/{workflow_uuid}/runs{
"data": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": 123,
"trigger_type": "<string>",
"trigger_context": {},
"code_version_executed": 123,
"status": "<string>",
"attempt_count": 123,
"log_output": "<string>",
"result": {},
"duration_ms": 123,
"started_at": "<string>",
"completed_at": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"total": 123,
"page": 123,
"page_size": 123,
"total_pages": 123
}
}Workflows
List Workflow Runs
GET
/
v1
/
workflows
/
{workflow_uuid}
/
runs
List Workflow Runs
curl --request GET \
--url https://api.example.com/v1/workflows/{workflow_uuid}/runs{
"data": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": 123,
"trigger_type": "<string>",
"trigger_context": {},
"code_version_executed": 123,
"status": "<string>",
"attempt_count": 123,
"log_output": "<string>",
"result": {},
"duration_ms": 123,
"started_at": "<string>",
"completed_at": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"total": 123,
"page": 123,
"page_size": 123,
"total_pages": 123
}
}Documentation Index
Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
Use this file to discover all available pages before exploring further.
Path Parameters
Query Parameters
Page number (1-indexed)
Required range:
x >= 1Items per page (max 500)
Required range:
1 <= x <= 500⌘I

